import { HTMLInputAttributes } from 'svelte/elements';
import { Component } from '../../internal';
import { DefaultProps, SvelteUIColor, SvelteUINumberSize, SvelteUISize } from '../../styles';

export interface CheckboxProps
	extends DefaultProps<HTMLInputElement>,
		Omit<HTMLInputAttributes, 'size'> {
	color?: SvelteUIColor;
	id?: string;
	checked?: boolean;
	disabled?: boolean;
	indeterminate?: boolean;
	value?: string;
	label?: Component | string;
	radius?: SvelteUINumberSize | number;
	size?: SvelteUISize;
	transitionDuration?: number;
	wrapperProps?: { [key: string]: any };
}
