import { SvelteComponentTyped } from "svelte";
import type { CheckboxGroupEvents as $$CheckboxGroupEvents } from './CheckboxGroup';
declare const __propDef: {
    props: {
        class?: string;
        color?: import("../../..").SvelteUIColor;
        items?: {
            label: string;
            value: string;
        }[];
        value?: string[];
        label?: string;
        size?: import("../../..").SvelteUISize;
        radius?: import("../../..").SvelteUINumberSize;
        direction?: "column" | "row";
        align?: import("@stitches/core/types/css").Property.AlignItems | import("@stitches/core/types/css").Globals | import("@stitches/core/types/theme").ScaleValue | import("@stitches/core/types/util").Index;
        spacing?: import("../../..").SvelteUINumberSize;
        wrapperProps?: Record<string, any>;
        className?: string;
        override?: import("../../..").CSS;
        element?: HTMLInputElement;
        use?: import("../../../internal/utils/forwarding/forward-actions").ActionArray;
        m?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        my?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        mx?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        mt?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        mb?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        ml?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        mr?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        p?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        py?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        px?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        pt?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        pb?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        pl?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
        pr?: import("../../../styles/theme/types/SvelteUIStyleSystem").SvelteUIStyleSystemValue;
    };
    slots: {};
    events: $$CheckboxGroupEvents;
};
export declare type CheckboxGroupProps = typeof __propDef.props;
export declare type CheckboxGroupEvents = typeof __propDef.events;
export declare type CheckboxGroupSlots = typeof __propDef.slots;
/**
 * A checkbox group component using the theme styles and builds a set of checkboxes according to
 * the items passed.
 *
 * @see https://svelteui.org/core/checkbox
 * @example
 * ```svelte
 * <CheckboxGroup bind:value items={items} />
 * <CheckboxGroup label={"Choose your favorite framework"} description={"Choose carefuly"} bind:value={value} items={items} />
 * <CheckboxGroup bind:value={value} items={items} direction={'column'}/>
 * ```
 */
export default class CheckboxGroup extends SvelteComponentTyped<CheckboxGroupProps, CheckboxGroupEvents, CheckboxGroupSlots> {
}
export {};
